j_events.d(1m)

NAME
j_events.d - count Java events using DTrace.

SYNOPSIS
j_events.d

DESCRIPTION
This traces activity from all Java processes on the system with hotspot provider support (1.6.0). Some events such as method calls are only visible when using the flag "+ExtendedDTraceProbes". eg, java -XX:+ExtendedDTraceProbes classfile

OS
Solaris

STABILITY
Evolving - uses the DTrace hotspot provider, which may change as additional features are introduced. Check Java/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # j_events.d

FIELDS

PID Process ID

EVENT
    Event name (DTrace probe name)

COUNT
    Number of calls during sample

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
j_events.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)